Subject: Re: bug#29937: You found a bug in GNU Parted! Don't panic!

From: "Brian C. Lane" <[email-masked]>
Date: Tue, 2 Jan 2018 09:27:39 -0800

On Mon, Jan 01, 2018 at 04:50:25PM -0500, Vincent Tompkins wrote:
> ~]$ sudo parted -l
> Backtrace has 14 calls on stack:
>   14: /lib64/libparted.so.2(ped_assert+0x45) [0x7fee1c3ae995]
>   13: /lib64/libparted.so.2(+0x241db) [0x7fee1c3c51db]
>   12: /lib64/libparted.so.2(+0x1245a) [0x7fee1c3b345a]
>   11: /lib64/libparted.so.2(ped_disk_add_partition+0x2d3) [0x7fee1c3b3dc3]
>   10: /lib64/libparted.so.2(+0x23a58) [0x7fee1c3c4a58]
>   9: /lib64/libparted.so.2(+0x23bc0) [0x7fee1c3c4bc0]
>   8: /lib64/libparted.so.2(+0x23c59) [0x7fee1c3c4c59]
>   7: /lib64/libparted.so.2(+0x24935) [0x7fee1c3c5935]
>   6: /lib64/libparted.so.2(ped_disk_new+0x47) [0x7fee1c3b3967]
>   5: parted(+0x7784) [0x55ca2ba76784]
>   4: parted(+0x6efb) [0x55ca2ba75efb]
>   3: parted(main+0x132b) [0x55ca2ba753bb]
>   2: /lib64/libc.so.6(__libc_start_main+0xea) [0x7fee1bb6600a]
>   1: parted(_start+0x2a) [0x55ca2ba7547a]
> 
> 
> You found a bug in GNU Parted! Here's what you have to do:
> 
> Don't panic!
> Your report should contain the version of this release (3.2)
> 
> and the following history of commands you entered.
> Also include any additional information about your setup you
> consider important.
> 
> Assertion (metadata_length > 0) at dos.c:2305 in function
> add_logical_part_metadata() failed.
> 
> Aborted
> I tried running GParted when libparted reported an error.
> Then I went to parted to see what errors it may report.
> 
> ~]$ sudo lsblk
> NAME            MAJ:MIN RM  SIZE RO TYPE MOUNTPOINT
> sda               8:0    0  1.8T  0 disk
> ├─sda1            8:1    0   60G  0 part /C:
> ├─sda2            8:2    0   60G  0 part
> ├─sda3            8:3    0    1G  0 part /boot
> ├─sda4            8:4    0    1K  0 part
> ├─sda5            8:5    0   70G  0 part
> │ └─fedora-root 253:0    0   70G  0 lvm  /
> └─sda6            8:6    0  1.6T  0 part /D:
> sr0              11:0    1 1024M  0 rom
> 
> ~]# sudo fdisk /dev/sda -l
> Disk /dev/sda: 1.8 TiB, 2000398934016 bytes, 3907029168 sectors
> Units: sectors of 1 * 512 = 512 bytes
> Sector size (logical/physical): 512 bytes / 4096 bytes
> I/O size (minimum/optimal): 4096 bytes / 4096 bytes
> Disklabel type: dos
> Disk identifier: 0xdb7d6b3c
> 
> Device     Boot     Start        End    Sectors  Size Id Type
> /dev/sda1  *         2048  125831167  125829120   60G  7 HPFS/NTFS/exFAT
> /dev/sda2       125831168  251660287  125829120   60G  7 HPFS/NTFS/exFAT
> /dev/sda3       251660288  253757439    2097152    1G 83 Linux
> /dev/sda4       253757440 3907028991 3653271552  1.7T  5 Extended
> /dev/sda5       253761536  400570367  146808832   70G 8e Linux LVM
> /dev/sda6       400570368 3907028991 3506458624  1.6T  7 HPFS/NTFS/exFAT

This indicates that whatever created your partition layout didn't leave
enough metadata space for the extended partition. There is nothing we
can do for this.

-- 
Brian C. Lane (PST8PDT)